import request from "@/utils/request";
const api = "/mosty-api/mosty-qwzx";
const apibase = "/mosty-api/mosty-yszx";


export const http = {
  // 获取视频ws地址
  getSpWs: (params) => {
    return request({
      url: "/jcApi/api/haikang/cameras/getws",
      method: "GET",
      params
    });
  },
  // 警力 全部list
  getJlAllList: (params) => {
    return request({
      url: api + "/jlqk/jmjl/qbList",
      method: "GET",
      params
    });
  },
  // 警力 在岗list
  getJlZgList: (params) => {
    return request({
      url: api + "/jlqk/jmjl/zgList",
      method: "GET",
      params
    });
  },

  // 街面警力 - 民警辅警统计
  getJmjlDate: (params) => {
    return request({
      url: api + "/tbQwXfbb/selectMfjCount",
      method: "GET",
      params
    });
  },
  // 街面警力 - 民警list
  getJmjlDateMJList: (params) => {
    return request({
      url: api + "/jlqk/jmjl/mjlb",
      method: "GET",
      params
    });
  },
  // 街面警力 - fu警list
  getJmjlDateFJList: (params) => {
    return request({
      url: api + "/jlqk/jmjl/fjlb",
      method: "GET",
      params
    });
  },

  // 警力情况 - 警力全部
  getJlAll: (params) => {
    return request({
      url: api + "/jlqk/jmjl/qb",
      method: "GET",
      params
    });
  },
  // 警力情况 - 警力在岗
  getJlZg: (params) => {
    return request({
      url: api + "/jlqk/jmjl/zg",
      method: "GET",
      params
    });
  },
  // 警力情况 - 民警全部
  getMjAll: (params) => {
    return request({
      url: api + "/jlqk/mj/qbmj",
      method: "GET",
      params
    });
  },
  // 警力情况 - 民警在岗
  getMjZg: (params) => {
    return request({
      url: api + "/jlqk/mj/zgmj",
      method: "GET",
      params
    });
  },
  // 警力情况 - 民警全部
  getMjAllList: (params) => {
    return request({
      url: api + "/jlqk/mj/qbmj",
      method: "GET",
      params
    });
  },
  // 警力情况 - 民警在岗
  getMjZgList: (params) => {
    return request({
      url: api + "/jlqk/mj/zgmj",
      method: "GET",
      params
    });
  },
  // 警力情况 - 辅警全部 
  getFjAll: (params) => {
    return request({
      url: api + "/jlqk/fj/qbfj",
      method: "GET",
      params
    });
  },
  // 警力情况 -辅警在岗
  getFjZg: (params) => {
    return request({
      url: api + "/jlqk/fj/zgfj",
      method: "GET",
      params
    });
  },

  // 可抽调 -民警 - 辅警
  getKcd(params) {
    return request({
      url: api + "/jlqk/kcd/zbtj",
      method: "GET",
      params: params
    });
  },

  // 警力情况 - 辅警全部列表
  getFjAllList: (params) => {
    return request({
      url: api + "/jlqk/fj/qblb",
      method: "GET",
      params
    });
  },
  // 警力情况 - 辅警在岗列表
  getFjAllListZG: (params) => {
    return request({
      url: api + "/jlqk/fj/zglb",
      method: "GET",
      params
    });
  },
  // 警力情况 -请休假Mj-FJ
  getRest: (params) => {
    return request({
      url: api + "/jlqk/qxj/mjfjtj",
      method: "GET",
      params
    });
  },

  // 街面警力统计 app查询界面警力民警辅警数量
  getJmjlTj: (data) => {
    return request({
      url: api + "/tbQwXfbb/selectMfjCount",
      method: "GET",
      params: data
    });
  },

  // 请休假
  getQxj: (data) => {
  return request({
      url: api + "/jlqk/qxj/mjfjtj",
      method: "GET",
      params: data
  });
},

  // 警力情况 -请休假Mj
  getRestMj: (params) => {
    return request({
      url: api + "/jlqk/qxj/mjlb",
      method: "GET",
      params
    });
  },
  // 警力情况 -请休假FJ
  getRestFj: (params) => {
    return request({
      url: api + "/jlqk/qxj/fjlb",
      method: "GET",
      params
    });
  },


  // 勤务列表 - 警力清单
  getJlList: (params) => {
    return request({
      url: api + "/tbQwBmjlbb/getJlqdList",
      method: "GET",
      params
    });
  },
  // 勤务列表 - 不在岗警力清单
  getBZGlist: (params) => {
    return request({
      url: api + "/qwlb/bzgjlqd",
      method: "GET",
      params
    });
  },


  // 大屏首页统计 - 在岗警力 - 民警
  getJlmj: (params) => {
    return request({
      url: api + "/jlqk/mj/zglb",
      method: "GET",
      params
    });
  },
  getJlfj: (params) => {
    return request({
      url: api + "/jlqk/fj/zglb",
      method: "GET",
      params
    });
  },
  getJlqbmj: (params) => {
    return request({
      url: api + "/jlqk/mj/qblb",
      method: "GET",
      params
    });
  },
  // 大屏首页统计 - 街面巡组 - 计划 列表 
  getJMXZ: (params) => {
    return request({
      url: api + "/tbQwXfbb/selectJhjmxzList",
      method: "GET",
      params
    });
  },
  // 大屏首页统计 - 街面巡组 - 实际 列表
  selectSjjmxzList: (params) => {
    return request({
      url: api + "/tbQwXfbb/selectSjjmxzList",
      method: "GET",
      params
    });
  },

  // 大屏首页统计 - 街面力量 - 计划、实际
  getJMLL: (params) => {
    return request({
      url: api + "/tbQwXfbb/selectJmllList",
      method: "GET",
      params
    });
  },

  // 大屏首页统计 - 街面警力- 民警
  getjMJLmj: (params) => {
    return request({
      url: api + "/tbQwXfbb/selectJmllList",
      method: "GET",
      params
    });

  },

  // 大屏首页统计- 可抽查 - 值班 
  getZB: (params) => {
    return request({
      url: api + "/jlqk/kcd/zbtj",
      method: "GET",
      params
    });
  },

  // 大屏首页统计- 可抽查 - 辅警列表
  getKccFjList: (params) => {
    return request({
      url: api + "/jlqk/kcd/fjlb",
      method: "GET",
      params
    });
  },
  // 大屏首页统计- 可抽查 - 民警列表
  getKccMjList: (params) => {
    return request({
      url: api + "/jlqk/kcd/mjlb",
      method: "GET",
      params
    });
  },

  // 根据监控点编号进行云台操作
  controllingSbbh: (data) => {
    return request({
      url: apibase + "/tbYsSxt/controlling",
      method: "POST",
      data
    });
  },

  // 获取HLS地址 
  getGbHls: (params) => {
    return request({
      url: apibase + "/tbYsSxt/getGbHls",
      method: "GET",
      params
    });
  },
  // 获取HLS地址 
  previewURLs: (params) => {
    return request({
      url: apibase + "/tbYsSxt/previewURLs",
      method: "GET",
      params
    });
  },
  // 获取回放地址 
  rebackURLs: (params) => {
    return request({
      url: apibase + "/tbYsSxt/playbackURLs",
      method: "GET",
      params
    });
  },
}



